EditBendAngleBuilder Class

class NXOpen.Routing.EditBendAngleBuilder

Bases: NXOpen.Builder

To create a new instance of this class, use NXOpen.Routing.RouteManager.CreateEditBendAngleBuilder()

New in version NX7.5.0.

Properties

Property Description
Tag Returns the Tag for this object.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
CommitCurrentEdit Commits the current edit operation.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetObject Returns the object currently being edited by this builder.
GetSelectedBendData Returns information about the angle being changed.
SetMoveAttachedFlag Move all attached geometry as a rigid set.
SetRCP Set the Bend RCP to edit.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
SwapAnchorSegment Swap the free and anchor segments.
UpdateAngle Set the vector the defines the new bend angle.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Method Detail

CommitCurrentEdit

EditBendAngleBuilder.CommitCurrentEdit

Commits the current edit operation.

Signature CommitCurrentEdit()

New in version NX7.5.0.

License requirements: routing_advanced (“Routing Advanced”), routing_base (“Routing Basic”)

GetSelectedBendData

EditBendAngleBuilder.GetSelectedBendData

Returns information about the angle being changed.

Signature GetSelectedBendData()

Returns:a tuple
Return type:A tuple consisting of (angle, anchorSegDir, rcpPos, planeNormal). angle is a float. Teh angle between the two segments anchorSegDir is a NXOpen.Vector3d. The anchor Segment rcpPos is a NXOpen.Point3d. The position of the bend rcp planeNormal is a NXOpen.Vector3d. The normal of the plane the arc lies in.

New in version NX7.5.0.

License requirements: routing_advanced (“Routing Advanced”), routing_base (“Routing Basic”)

SetMoveAttachedFlag

EditBendAngleBuilder.SetMoveAttachedFlag

Move all attached geometry as a rigid set.

Signature SetMoveAttachedFlag(moveAttached)

Parameters:moveAttached (bool) – Whether or not to move the geometry as a rigid set.

New in version NX7.5.0.

License requirements: routing_advanced (“Routing Advanced”), routing_base (“Routing Basic”)

SetRCP

EditBendAngleBuilder.SetRCP

Set the Bend RCP to edit.

Signature SetRCP(bendRcp)

Parameters:bendRcp (NXOpen.TaggedObject) – Bend Rcp

New in version NX7.5.0.

License requirements: routing_advanced (“Routing Advanced”), routing_base (“Routing Basic”)

SwapAnchorSegment

EditBendAngleBuilder.SwapAnchorSegment

Swap the free and anchor segments.

Signature SwapAnchorSegment()

New in version NX7.5.0.

License requirements: routing_advanced (“Routing Advanced”), routing_base (“Routing Basic”)

UpdateAngle

EditBendAngleBuilder.UpdateAngle

Set the vector the defines the new bend angle.

Signature UpdateAngle(angle)

Parameters:angle (float) – The new angle.

New in version NX7.5.0.

License requirements: routing_advanced (“Routing Advanced”), routing_base (“Routing Basic”)

Validate

EditBendAngleBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.